ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

TcTypeNats

# Documentation

typeNatTyCons :: [TyCon] Source

typeNatCoAxiomRules :: Map FastString CoAxiomRule Source

data BuiltInSynFamily Source

Constructors

BuiltInSynFamily |
Fields sfMatchFam :: [Type] -> Maybe (CoAxiomRule, [Type], Type) sfInteractTop :: [Type] -> Type -> [Eqn] sfInteractInert :: [Type] -> Type -> [Type] -> Type -> [Eqn]

typeNatAddTyCon :: TyCon Source

typeNatMulTyCon :: TyCon Source

typeNatExpTyCon :: TyCon Source

typeNatLeqTyCon :: TyCon Source

typeNatSubTyCon :: TyCon Source

typeNatCmpTyCon :: TyCon Source

typeSymbolCmpTyCon :: TyCon Source